> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Outbox

> Pending VES events

### Response

`EdiEvent[]` — each element:

<ResponseField name="entity_id" type="string" required />

<ResponseField name="entity_type" type="string" required />

<ResponseField name="event_id" type="string" required />

<ResponseField name="event_type" type="string" required />

<ResponseField name="occurred_at" type="string (date-time)" required />

<ResponseField name="payload" type="object" required />

<ResponseField name="signature" type="string">
  Ed25519 signature (hex) over the canonical event message. Absent when signing is disabled. See \[`crate::signing`].
</ResponseField>

### Status codes

| Code  | Meaning                   |
| ----- | ------------------------- |
| `200` | Pending VES events        |
| `403` | Admin credential required |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://edi.stateset.com/v1/outbox' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "entity_type": "string",
      "event_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "event_type": "string",
      "occurred_at": "2026-08-31T14:22:05Z",
      "payload": {},
      "signature": "sha256:9f86d081884c7d659a2feaa0c55ad015"
    }
  ]
  ```
</ResponseExample>
